Package org.kapott.hbci.sepa.jaxb.pain_001_001_02

## Class ObjectFactory

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_001_001_02.ObjectFactory

    public class ObjectFactory
    extends java.lang.Object

This object contains factory methods for each Java content interface and Java element interface generated in the org.kapott.hbci.sepa.jaxb.pain_001_001_02 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

### Constructor Summary

Constructors
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.kapott.hbci.sepa.jaxb.pain_001_001_02

### Method Summary

All Methods Instance Methods Concrete Methods
`AccountIdentification2` `createAccountIdentification2()` Create an instance of `AccountIdentification2`
`AmountType3` `createAmountType3()` Create an instance of `AmountType3`
`CashAccount8` `createCashAccount8()` Create an instance of `CashAccount8`
`CreditorReferenceInformation1` `createCreditorReferenceInformation1()` Create an instance of `CreditorReferenceInformation1`
`CreditorReferenceType1` `createCreditorReferenceType1()` Create an instance of `CreditorReferenceType1`
`CreditTransferTransactionInformation2` `createCreditTransferTransactionInformation2()` Create an instance of `CreditTransferTransactionInformation2`
`CurrencyAndAmount` `createCurrencyAndAmount()` Create an instance of `CurrencyAndAmount`
`DateAndPlaceOfBirth` `createDateAndPlaceOfBirth()` Create an instance of `DateAndPlaceOfBirth`
`Document` `createDocument()` Create an instance of `Document`
`javax.xml.bind.JAXBElement<Document>` `createDocument​(Document value)` Create an instance of `JAXBElement``<``Document``>`
`EuroMax9Amount` `createEuroMax9Amount()` Create an instance of `EuroMax9Amount`
`FinancialInstitution2` `createFinancialInstitution2()` Create an instance of `FinancialInstitution2`
`FinancialInstitutionIdentification4` `createFinancialInstitutionIdentification4()` Create an instance of `FinancialInstitutionIdentification4`
`GenericIdentification3` `createGenericIdentification3()` Create an instance of `GenericIdentification3`
`GenericIdentification4` `createGenericIdentification4()` Create an instance of `GenericIdentification4`
`GroupHeader20` `createGroupHeader20()` Create an instance of `GroupHeader20`
`OrganisationIdentification2` `createOrganisationIdentification2()` Create an instance of `OrganisationIdentification2`
`Pain00100102` `createPain00100102()` Create an instance of `Pain00100102`
`Party2Choice` `createParty2Choice()` Create an instance of `Party2Choice`
`Party5Choice` `createParty5Choice()` Create an instance of `Party5Choice`
`PartyIdentification20` `createPartyIdentification20()` Create an instance of `PartyIdentification20`
`PartyIdentification21` `createPartyIdentification21()` Create an instance of `PartyIdentification21`
`PartyIdentification23` `createPartyIdentification23()` Create an instance of `PartyIdentification23`
`PartyIdentification8` `createPartyIdentification8()` Create an instance of `PartyIdentification8`
`PaymentIdentification1` `createPaymentIdentification1()` Create an instance of `PaymentIdentification1`
`PaymentInstructionInformation4` `createPaymentInstructionInformation4()` Create an instance of `PaymentInstructionInformation4`
`PaymentTypeInformation7` `createPaymentTypeInformation7()` Create an instance of `PaymentTypeInformation7`
`PersonIdentification3` `createPersonIdentification3()` Create an instance of `PersonIdentification3`
`PostalAddress1` `createPostalAddress1()` Create an instance of `PostalAddress1`
`PostalAddress5` `createPostalAddress5()` Create an instance of `PostalAddress5`
`ReferredDocumentAmount1Choice` `createReferredDocumentAmount1Choice()` Create an instance of `ReferredDocumentAmount1Choice`
`ReferredDocumentInformation1` `createReferredDocumentInformation1()` Create an instance of `ReferredDocumentInformation1`
`ReferredDocumentType1` `createReferredDocumentType1()` Create an instance of `ReferredDocumentType1`
`RemittanceInformation3` `createRemittanceInformation3()` Create an instance of `RemittanceInformation3`
`ServiceLevel4` `createServiceLevel4()` Create an instance of `ServiceLevel4`
`StructuredRemittanceInformation6` `createStructuredRemittanceInformation6()` Create an instance of `StructuredRemittanceInformation6`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectFactory

    public ObjectFactory()

Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.kapott.hbci.sepa.jaxb.pain_001_001_02

### Method Detail

#### createDocument

    public Document createDocument()

Create an instance of `Document`

#### createAccountIdentification2

    public AccountIdentification2 createAccountIdentification2()

Create an instance of `AccountIdentification2`

#### createAmountType3

    public AmountType3 createAmountType3()

Create an instance of `AmountType3`

#### createCashAccount8

    public CashAccount8 createCashAccount8()

Create an instance of `CashAccount8`

#### createCreditTransferTransactionInformation2

    public CreditTransferTransactionInformation2 createCreditTransferTransactionInformation2()

Create an instance of `CreditTransferTransactionInformation2`

#### createCreditorReferenceInformation1

    public CreditorReferenceInformation1 createCreditorReferenceInformation1()

Create an instance of `CreditorReferenceInformation1`

#### createCreditorReferenceType1

    public CreditorReferenceType1 createCreditorReferenceType1()

Create an instance of `CreditorReferenceType1`

#### createCurrencyAndAmount

    public CurrencyAndAmount createCurrencyAndAmount()

Create an instance of `CurrencyAndAmount`

#### createDateAndPlaceOfBirth

    public DateAndPlaceOfBirth createDateAndPlaceOfBirth()

Create an instance of `DateAndPlaceOfBirth`

#### createEuroMax9Amount

    public EuroMax9Amount createEuroMax9Amount()

Create an instance of `EuroMax9Amount`

#### createFinancialInstitution2

    public FinancialInstitution2 createFinancialInstitution2()

Create an instance of `FinancialInstitution2`

#### createFinancialInstitutionIdentification4

    public FinancialInstitutionIdentification4 createFinancialInstitutionIdentification4()

Create an instance of `FinancialInstitutionIdentification4`

#### createGenericIdentification3

    public GenericIdentification3 createGenericIdentification3()

Create an instance of `GenericIdentification3`

#### createGenericIdentification4

    public GenericIdentification4 createGenericIdentification4()

Create an instance of `GenericIdentification4`

#### createGroupHeader20

    public GroupHeader20 createGroupHeader20()

Create an instance of `GroupHeader20`

#### createOrganisationIdentification2

    public OrganisationIdentification2 createOrganisationIdentification2()

Create an instance of `OrganisationIdentification2`

#### createParty2Choice

    public Party2Choice createParty2Choice()

Create an instance of `Party2Choice`

#### createParty5Choice

    public Party5Choice createParty5Choice()

Create an instance of `Party5Choice`

#### createPartyIdentification8

    public PartyIdentification8 createPartyIdentification8()

Create an instance of `PartyIdentification8`

#### createPartyIdentification20

    public PartyIdentification20 createPartyIdentification20()

Create an instance of `PartyIdentification20`

#### createPartyIdentification21

    public PartyIdentification21 createPartyIdentification21()

Create an instance of `PartyIdentification21`

#### createPartyIdentification23

    public PartyIdentification23 createPartyIdentification23()

Create an instance of `PartyIdentification23`

#### createPaymentIdentification1

    public PaymentIdentification1 createPaymentIdentification1()

Create an instance of `PaymentIdentification1`

#### createPaymentInstructionInformation4

    public PaymentInstructionInformation4 createPaymentInstructionInformation4()

Create an instance of `PaymentInstructionInformation4`

#### createPaymentTypeInformation7

    public PaymentTypeInformation7 createPaymentTypeInformation7()

Create an instance of `PaymentTypeInformation7`

#### createPersonIdentification3

    public PersonIdentification3 createPersonIdentification3()

Create an instance of `PersonIdentification3`

#### createPostalAddress1

    public PostalAddress1 createPostalAddress1()

Create an instance of `PostalAddress1`

#### createPostalAddress5

    public PostalAddress5 createPostalAddress5()

Create an instance of `PostalAddress5`

#### createReferredDocumentAmount1Choice

    public ReferredDocumentAmount1Choice createReferredDocumentAmount1Choice()

Create an instance of `ReferredDocumentAmount1Choice`

#### createReferredDocumentInformation1

    public ReferredDocumentInformation1 createReferredDocumentInformation1()

Create an instance of `ReferredDocumentInformation1`

#### createReferredDocumentType1

    public ReferredDocumentType1 createReferredDocumentType1()

Create an instance of `ReferredDocumentType1`

#### createRemittanceInformation3

    public RemittanceInformation3 createRemittanceInformation3()

Create an instance of `RemittanceInformation3`

#### createServiceLevel4

    public ServiceLevel4 createServiceLevel4()

Create an instance of `ServiceLevel4`

#### createStructuredRemittanceInformation6

    public StructuredRemittanceInformation6 createStructuredRemittanceInformation6()

Create an instance of `StructuredRemittanceInformation6`

#### createPain00100102

    public Pain00100102 createPain00100102()

Create an instance of `Pain00100102`

#### createDocument

    public javax.xml.bind.JAXBElement<Document> createDocument​(Document value)

Create an instance of `JAXBElement``<``Document``>`

Parameters:
  `value` - Java instance representing xml element's value.
Returns:
  the new instance of `JAXBElement``<``Document``>`